/*
 * tmos - sfr.h
 *
 * 	Special Function Registers for i51
 *
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ASM_SFR_H
#define __ASM_SFR_H

#ifdef SDCC
#define DEFINE_SFR(name, addr)	__sfr __at addr name;
#define DEFINE_SBIT(name, addr) __sbit __at addr name;
#else
#define DEFINE_SFR(name, addr)	static unsigned char name;
#define DEFINE_SBIT(name, addr) static unsigned char name;
#endif

#endif
